<div class="shipping-address-item" data-bind="click: selectAddress, css: isSelected() ? 'selected-item' : 'not-selected-item'">
    <!-- ko text: address().prefix --><!-- /ko --> <!-- ko text: address().firstname --><!-- /ko --> <!-- ko text: address().middlename --><!-- /ko -->
    <!-- ko text: address().lastname --><!-- /ko --> <!-- ko text: address().suffix --><!-- /ko --><br/>
    <!-- ko text: _.values(address().street).join(", ") --><!-- /ko --><br/>
    <!-- ko text: address().city --><!-- /ko -->, <span data-bind="html: address().region"></span> <!-- ko text: address().postcode --><!-- /ko --><br/>
    <!-- ko text: getCountryName(address().countryId) --><!-- /ko --><br/>
    <!-- ko if: (address().telephone) -->
    <a data-bind="text: address().telephone, attr: {'href': 'tel:' + address().telephone}"></a>
    <!-- /ko --><br/>
    <!-- ko foreach: { data: address().customAttributes, as: 'element' } -->
        <!-- ko foreach: { data: Object.keys(element), as: 'attribute' } -->
            <!-- ko if: (typeof element[attribute] === "object") -->
                <!-- ko text: element[attribute].value --><!-- /ko -->
            <!-- /ko -->
            <!-- ko if: (typeof element[attribute] === "string") -->
                <!-- ko text: element[attribute] --><!-- /ko -->
            <!-- /ko --><br/>
        <!-- /ko -->
    <!-- /ko -->
    <!-- ko if: (address().isEditable()) -->
    <button type="button"
            class="action edit-address-link btn btn-primary"
            data-bind="click: editAddress, visible: address().isEditable()">
        <span data-bind="i18n: 'Edit'"></span>
    </button>
    <!-- /ko -->
</div>
